Subject: Re: (ngtrans) back to back

From: Erik Nordmark <[email-masked]>
Date: Thu, 2 Nov 2000 15:00:28 -0800 (PST)

>   o please describe where the v4 packts a v4 customer of this backbone are
>     gated/ translated when they want to talk to a v6-native on the same
>     backbone.

There are some fundamental restrictions here. For IPv4-only to be able to
communicate with IPv6-only at the IP layer i.e. without
application specific knowledge, each of the peers need to
be represented in the other guys IP address space. This implies that
the IPv6-only node needs to be uniquely represented by an IPv4 address
for the duration of the communication.
This requires that the domain containing the IPv6-only device has a large
enough pool of IPv4 address space, and this pool is subject to DoS attacks by
"fake" communication attempts from IPv4 devices.

So I suspect that in many cases there will be a need for application specific
techniques like SIP proxies, HTTP proxies, etc.

But this clearly needs more work. Problem is that the proxy solutions might
seem to "booring" for folks to work on in the IETF.

  Erik

---

From: Randy Bush <[email-masked]>
Date: Fri, 03 Nov 2000 17:47:43 -0800

> communicate with IPv6-only at the IP layer i.e. without application
> specific knowledge, each of the peers need to be represented in the other
> guys IP address space. This implies that the IPv6-only node needs to be
> uniquely represented by an IPv4 address for the duration of the
> communication.  This requires that the domain containing the IPv6-only
> device has a large enough pool of IPv4 address space, and this pool is
> subject to DoS attacks by "fake" communication attempts from IPv4 devices.
>
> So I suspect that in many cases there will be a need for application
> specific techniques like SIP proxies, HTTP proxies, etc.
>

if we plan to seriously deploy v6 then some day either entire backbone
will turn on native v6 native one at a time, or we will have a v6 flag
day.  i suspect the latter will not gain support in the operational
community.

backbones meet at speeds where proxies/tranmslators tend not to have
enough performance.  and i suspect that the problem will be insufficiently
widespread to entice hardware vendors to make fast path kit.

i agree that someone probably needs to think about this stuff a bit.

randy